%define upstream_name    Class-DBI-AutoLoader
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Generates Class::DBI subclasses dynamically
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:  perl(DBI)
BuildArch:      noarch


%description
Class::DBI::AutoLoader scans the tables in a given database, and auto-generates
the Class::DBI classes. These are loaded into your package when you import
Class::DBI::AutoLoader, as though you had created the Data::FavoriteFilms class
and "use"d that directly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Class
%{_mandir}/*/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.120.0-11.mga10
+ Revision: 2197934
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.120.0-10.mga9
+ Revision: 1802438
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.120.0-9.mga8
+ Revision: 1493523
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.120.0-8.mga7
+ Revision: 1266304
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.120.0-7.mga6
+ Revision: 1023923
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.120.0-6.mga6
+ Revision: 945191
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-5.mga5
+ Revision: 745541
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 683895
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.120.0-3.mga4
+ Revision: 509995
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 364320
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 23822
- cleaning spec file
- imported package perl-Class-DBI-AutoLoader


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.120.0-1mdv2010.0
+ Revision: 403008
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.12-6mdv2009.0
+ Revision: 241177
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-4mdv2008.0
+ Revision: 86087
- rebuild


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-3mdv2007.0
- Rebuild

* Wed Dec 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-2mdk
- fix buildrequires

* Mon Dec 05 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdk
- initial Mandriva package

